<?php

/**
*
* @package BB3CountDown
* @copyright (c) 2014 PPK
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*
*/

namespace ppk\bb3countdown\event;

/**
 * @ignore
 */
if (!defined('IN_PHPBB'))
{
	exit;
}

use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class listener implements EventSubscriberInterface
{
	/* @var \ppk\bb3countdown\core\bb3countdown */
	protected $bb3cd_functions;

	public function __construct(\ppk\bb3countdown\core\bb3countdown $functions)
	{
		$this->bb3cd_functions = $functions;

	}

	static public function getSubscribedEvents()
	{
		return array(
			'core.page_header_after'           => 'display_bb3cd',
		);
	}

	public function display_bb3cd()
	{

		$this->bb3cd_functions->display_bb3countdown();
	}


}
